# frozen_string_literal: true

module Dynamo
  module Record
    class Railtie < Rails::Railtie
      railtie_name :dynamo_record

      initializer 'logger' do
        Dynamo::Record.logger = Rails.logger
      end

      rake_tasks do
        load 'tasks/dynamo.rake'
      end
    end
  end
end
