# frozen_string_literal: true

module Dynamo
  module Record
    module TaskHelpers
      class ListTables
        def self.run
          dynamodb = Aws::DynamoDB::Client.new
          tables = dynamodb.list_tables
          tables.table_names.select do |tn|
            tn.starts_with?(Rails.configuration.dynamo['prefix'])
          end
        end
      end
    end
  end
end
