# frozen_string_literal: true

module Dynamo
  module Record
    module TaskHelpers
      class DropTable
        def self.run(table_name)
          dynamodb = Aws::DynamoDB::Client.new
          resp = dynamodb.delete_table(table_name: table_name)
          "Deleted: #{resp.table_description.table_name}"
        end
      end
    end
  end
end
